/****************************** Module Header ******************************\
*
* Module Name: wtkulmd.h
*
* Include file for module language helper functions
*
* Copyright (c) WPS Toolkit Project - Christian Langanke 2000
*
* $Id: wtkulmd.h,v 1.3 2004/04/13 19:32:16 cla Exp $
*
* ===========================================================================
*
* This file is part of the WPS Toolkit package and is free software.  You can
* redistribute it and/or modify it under the terms of the GNU Library General
* Public License as published by the Free Software Foundation, in version 2
* as it comes in the "COPYING.LIB" file of the WPS Toolkit main distribution.
* This library is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
* License for more details.
*
\***************************************************************************/

#ifndef WTKUTLNLSMODULE_INCLUDED
#define WTKUTLNLSMODULE_INCLUDED Module NLS helper functions

#ifdef __cplusplus
      extern "C" {
#endif

/*** prototypes for determining NLS related files for executables **********/
APIRET APIENTRY WtkGetNlsPackageFilename( PSZ pszDefaultLanguage, PSZ pszEnvVar,
                                          PSZ pszFileMaskPath, PSZ pszBuffer, ULONG ulBuflen);
APIRET APIENTRY WtkLoadNlsResourceModule( PHMODULE phmod, PSZ pszDefaultLanguage,
                                          PSZ pszEnvVar, PSZ pszFileMaskPath);
APIRET APIENTRY WtkLoadNlsInfFile( PSZ pszDefaultLanguage, PSZ pszEnvVar,
                                   PSZ pszFileMaskPath, PSZ pszTopic);

/*** prototypes for determining NLS related files for DLLs *****************/
APIRET APIENTRY WtkGetModNlsPackageFilename( PFN pfnMod, PSZ pszDefaultLanguage, PSZ pszEnvVar,
                                             PSZ pszFileMaskPath, PSZ pszBuffer, ULONG ulBuflen);
APIRET APIENTRY WtkLoadModNlsResourceModule( PFN pfnMod, PHMODULE phmod, PSZ pszDefaultLanguage,
                                             PSZ pszEnvVar, PSZ pszFileMaskPath);
APIRET APIENTRY WtkLoadModNlsInfFile( PFN pfnMod, PSZ pszDefaultLanguage, PSZ pszEnvVar,
                                      PSZ pszFileMaskPath, PSZ pszTopic);

#ifdef __cplusplus
        }
#endif

#endif /* WTKUTLMODULE_INCLUDED */

